These docs are for v2.3. Click to read the latest docs for v3.0.

Retrieves all active tenants

Sample Request:
GET /api/v2.0/misc/allactivetenants
    
MAX PER PAGE LIMIT: 500

Sample Response:
{ 
    "page": 1,
    "total": 1,
    "limit": 25,
    "totalEntries": 45,
    "data": [
        {
            "id": "69ebec65-7c20-4cfc-a63e-f5cefe8bb143",
            "firstName": "John",
            "lastName": "Fromisha",
            "reference": "P000000023",
            "email": "N/A",
            "mobileNumber": "N/A",
            "landline": "N/A",
            "address": {
               "address1": "2 Albert Square",
               "address2": "Walford",
                "address3": "London",
               "address4": "",
                "address5": "",
                "postcode": "SW8 1DA"
            },
            "dateOfBirth": "25/05/1966 00:00",
            "gender": "Male",
            "jointVisit": "N/A",
            "potentiallyVulnerableIndicator": [
               "hard of hearing"
            ],
            "receivesUniversalCredit": false,
            "registeredForParticipationInEngagement": "N/A",
            "isPrimaryContact": "N/A",
            "numberOfChildrenUnderSixteen": "N/A",
            "occupancy": {
                "id": "74b20bb2-1e4b-4d7f-85d1-06dba875f69a",
                "uprn": "ALB02",
                "propertyType": "Detached House",
                "chargeCycle": "Weekly",
                "managementArea": "South West",
                "scheme": "Affordable Homes",
                "localAuthority": "London",
                "repairsArea": "London",
                "lettingsArea": "East London",
                "floorLevel": 0,
                "numberOfBedroom": 2,
                "arrearsOfficer": "Demi Harrison",
                "repairsOfficer": "Demi Harrison",
                "estatesOfficer": "Unknown User",
                "housingOfficer": "Demi Harrison",
                "buildDate": "01/03/1951 00:00",
                "hasMainDoor": true,
                "uorn": "ALB02-1T1107",
                "occupancyCategory": "General Needs",
                "occupancyType": "Assured",
                "typeOfLet": "Unknown",
                "startDate": "11/07/2023 00:00",
                "endDate": null,
                "signatoryToContract": true
            }
        }                    
    ]
}
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
int32
Defaults to 25

The max number of items to return. Defaults to 25

int32
Defaults to 1

The current page number requested. Defaults to 1.

Response
200

On Success with the paginated collection of Tenants

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!